program createo2
	use sep
	real, allocatable	:: model (:,:)
	integer				:: i, nlocs, ix, iz, nx, nz
	integer, external	:: sreed
	
	call sep_init(SOURCE)
	
	call from_history ("n1", nx, 1)
	call from_history ("n2", nz, 1)
	
	allocate (model (nx, nz))

	if (sreed ("in", model, 4 * size (model)) /= 4 * size (model)) then
		call seperr ('error reading receiver location file')
	endif

	nlocs = 0

	do iz = 1, nz
		do ix = 1, nx

			if (model (ix, iz) > 0.) then
				nlocs = nlocs + 1
				call srite ("out", ix, 4)
				call srite ("out", iz, 4)
			endif
		end do
	end do
	
	call to_history ("n1", 2)
	call to_history ("n2", nlocs)
	
	write(0,*), "total rec/src locations:", nlocs
end program
