module elas2d_model_type_mod

integer,parameter :: source=0, receiver=1

type model_type
	integer      :: nx,nz			!grid size in x,y, and z
	real,pointer :: dx(:),dz(:)		!sampling in x,y, and z
	integer      :: nt				!number of time samples
	real         :: dt				!sampling in time
	integer,pointer :: recs(:,:)	!receivers
	integer,pointer :: rec_ith(:)	!receiver thread
	integer,pointer :: rec_i(:)		!receiver number for the given thread
	real            :: fpeak		!peak frequency
	real,pointer    :: wavelet(:)	!wavelet   
	integer         :: isrc_type	!type of src
	integer         :: izsrc,ixsrc	! source location
	integer         :: nsponge_x,nsponge_z !sponge zone
	integer			:: proptype		!source or receiver propagation
	integer			:: splitdisp	!do displacement decomposition?
end type

end module

