# variable definitions for processing

oz = $(shell echo -0.5*$(dz_for)*$(nz_for) | bc -l) # origin of receiver axis needs to be negative for muting later on

# depth to flat horizons
h1_land = $(shell echo 0.25*$(nx_for)*$(dx_for) | bc -l)
h2_land = $(shell echo 0.45*$(nx_for)*$(dx_for) | bc -l)

h1_obn = $(shell echo 0.15*$(nx_for)*$(dx_for) | bc -l)
h2_obn = $(shell echo 0.60*$(nx_for)*$(dx_for) | bc -l)

# forward modeling  model parameters
rho0_obn = 1025
rho1_obn = 1700
rho2_obn = 1600

vp0_obn = 1500
vp1_obn = 1700
vp2_obn = 2000

vs0_obn = 0

rho0_land = 1700
rho1_land = 1900
rho2_land = 2000

vp0_land = 1700
vp1_land = 1900
vp2_land = 2000

vs0_land = 850
vs1_land = 950
vs2_land = 1000


# inversion model parameters
rhofor = 1500
rhoc_slow = 1500
rhoc = 1700
rhoc_fast = 2000

vpfor = 1500
vpc_slow = 1500
vpc = 1700
vpc_fast = 2000

vsfor = 800
vsc_slow = 700
vsc = 850
vsc_fast = 1000
