module elas2d_thread_type_mod

	implicit none

	type thread_type
		integer :: ith,nth
	end type


end module

module elas2d_thread_mod
	use sep
	use elas2d_thread_type_mod

	contains

	subroutine thread_init(thread)
		type(thread_type)	:: thread
		integer, external	:: omp_get_thread_num
		integer, external	:: omp_get_num_threads
		integer				:: npx, npz

		call from_param ("npx", npx, 1)
		call from_param ("npz", npz, 1)
		thread%nth = npx * npz

		write (0,*) "domain decomposed into", thread%nth, "sections"

	end subroutine

end module
